@font-face {
    font-family: "Monocraft";
    src: url("Monocraft.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

* {
    box-sizing: border-box;
    overscroll-behavior: none;
}

html,
body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    overflow-y: auto;
    min-height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    padding-bottom: 30px;
    font-family: monospace;

    /* background: linear-gradient(30deg, rgb(6, 224, 6), rgb(182, 229, 88)); */
    background: black;

    color: white;

    text-align: center;
}

img {
    -webkit-user-drag: none;
    -khtml-user-drag: none;
    -moz-user-drag: none;
    -o-user-drag: none;
}

::-webkit-scrollbar {
    display: none;
}

.background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;

    background-image: url("img/testmode-background-compressed.png");
    background-color: rgba(0, 0, 0, 0.3);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;

    filter: blur(2px);
    transform: scale(1.2);

    background-blend-mode: overlay;
}

h1 {
    font-family: "Monocraft";
    word-spacing: -5px;
    font-weight: 1000;

    font-size: 30px;

    text-shadow: -1px -1px 0 black,
        1px -1px 0 black,
        -1px 1px 0 black,
        1px 1px 0 black,
        3px 3px 0px black;
}

h2 {
    font-family: monospace;
    font-size: 20px;
    font-weight: 900;

    margin-top: 30px;
    margin-bottom: -5px;
}

.section-cont {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 10px;

    width: 100%;
    top: 10px;
    flex: 1;
}

.section {
    display: block;
    margin-top: 10px;

    width: 95vw;
    text-align: left;
    padding: 10px;
    border-radius: 5px;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(10px);

    box-shadow: 0px 0px 5px 5px rgba(0, 0, 0, 0.5);
}

.section h1 {
    margin-top: -10px;
}

.section p:not(.buttonRow) {
    margin-bottom: 0px;
}

.buttonRow {
    cursor: default;
    user-select: none;
    -moz-user-select: none;
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
}

.buttonRow.inline {
    display: inline-flex;
}

.socialButton {
    display: inline-block;
    width: fit-content;

    background-color: rgb(54, 57, 60);

    border: 1px solid rgb(95, 93, 93);
    border-radius: 3px;

    color: var(--color);
    --color: white;

    cursor: pointer;
    font-weight: 700;

    transition-duration: 0.2s;
}

.socialButton:hover {
    transform: translateY(-2px);
    background-color: rgb(43, 46, 48);

    box-shadow: 0px 2px 5px var(--shadow-color);
    --shadow-color: rgb(95, 93, 93);
}

.socialButton:active {
    transform: translateY(-0.5px);

    box-shadow: 0px 1px 5px var(--shadow-color);
}

.socialButton.reddit {
    --color: rgb(248, 169, 22);
}

.socialButton.reddit:hover {
    --shadow-color: rgb(248, 169, 22);
}

.socialButton.youtube {
    --color: rgb(255, 57, 57);
}

.socialButton.youtube:hover {
    --shadow-color: rgb(255, 57, 57);
}

.socialButton.github {
    --color: rgb(175, 177, 190);
}

.socialButton.github:hover {
    --shadow-color: rgb(175, 177, 190);
}

.socialButton.bloxd {
    --color: rgb(145, 143, 207);
}

.socialButton.bloxd:hover {
    --shadow-color: rgb(145, 143, 207);
}

.socialButton.bloxdhub {
    --color: rgb(182, 122, 44);
}

.socialButton.bloxdhub:hover {
    --shadow-color: rgb(182, 122, 44);
}

.socialButton.discord {
    --color: rgb(21, 164, 230);
}

.socialButton.discord:hover {
    --shadow-color: rgb(21, 164, 230);
}

.socialButton.code {
    --color: rgb(239, 194, 118);
}

.socialButton.code:hover {
    --shadow-color: rgb(239, 194, 118);
}

.socialButton img {
    height: 10px;
}

ul li {
    margin-left: -20px;
}

.faq {
    display: inline-block;
    width: fit-content;
}

.faq-header {
    font-weight: 700;
    display: inline-block;
    font-size: 15px;
    cursor: pointer;
}

.faq-content {
    font-weight: 500;
    display: none;
}

.faq-header .faq-arrow {
    height: 14px;
    display: inline-block;

    user-select: none;
    -moz-user-select: none;

    transition-duration: 0.1s;
}

.faq-header.previewShow .faq-arrow {
    rotate: 90deg;
}

.faq-header.selected.previewHide .faq-arrow {
    rotate: 0deg;
}

.faq-header.selected .faq-arrow {
    rotate: 90deg;
    height: 14px;
    display: inline-block;
}

.faq-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

a {
    color: rgb(206, 206, 206);

    transition-duration: 0.3s;
}

a:hover {
    color: rgb(175, 175, 175);
}

.footer {
    position: static;

    width: 100%;
    margin-left: 10px;
    margin-bottom: 10px;
    opacity: 0.5;
    padding-right: 10px;
}

.footer-container {
    width: 100%;
    text-align: left;
    margin-top: 20px;
}

#codesSearchInput {
    flex: 1;
    min-width: 30px;
    box-sizing: border-box;

    background-color: rgb(54, 57, 60);
    border: 1px solid rgb(95, 93, 93);
    border-radius: 3px;
    padding: 3px;

    color: white;

    font-family: monospace;

    outline: none !important;
}

#codesSearchInput::placeholder {
    color: lightgray;
}

.submitBtn {
    display: inline-block;
    flex-shrink: 0;

    background-color: rgb(54, 57, 60);

    border: 1px solid rgb(95, 93, 93);
    border-radius: 3px;

    color: var(--color);
    --color: white;

    cursor: pointer;
    font-weight: 700;

    transition-duration: 0.2s;
}

.submitBtn:hover {
    transform: translateY(-2px);
    background-color: rgb(43, 46, 48);

    box-shadow: 0px 2px 5px rgb(95, 93, 93);
}

.submitBtn:active {
    transform: translateY(-0.5px);

    box-shadow: 0px 1px 5px rgb(95, 93, 93);
}

.submitBtn.disabled {
    display: inline-block;
    cursor: not-allowed;
    flex-shrink: 0;

    background-color: rgb(70, 71, 71);

    border: 1px solid rgb(95, 93, 93);
    border-radius: 3px;

    color: var(--color);
    --color: white;

    font-weight: 700;

    transition-duration: 0.2s;
}

.submitBtn.disabled:hover {
    transform: translateY(-1px);
    background-color: rgb(49, 51, 52);

    box-shadow: 0px 1px 5px rgb(95, 93, 93);
}

.submitBtn.disabled:active {
    transform: translateY(-0.5px);

    box-shadow: 0px 1px 5px rgb(95, 93, 93);
}

.submitBtn.clearSearch {
    flex-shrink: 1;
}

#submitSearch {
    display: none;
}

.searchInput-container {
    display: flex;
    gap: 3px;
    align-items: stretch;
    width: 100%;
    min-width: 0;
    box-sizing: border-box;
}

.codePreviewTagGroup {
    display: flex;
    flex-direction: row;
    gap: 5px;
    flex-wrap: wrap;

    margin-top: -20px;
}

.codePreviewDescription {
    font-style: italic;
}

.codePreviewTag {
    --border-color: gray;
    --background: rgb(78, 79, 80);

    border: 1px solid var(--border-color);
    border-radius: 100px;

    background: var(--background);

    padding: 3px;
    padding-left: 8px;
    padding-right: 8px;

    font-size: 10px;

    cursor: pointer;
    transition-duration: 0.2s;
}

.codePreviewTag:hover {
    transform: translateY(-2px);
    filter: brightness(110%);

    box-shadow: 0px 2px 5px var(--border-color);
}

.codePreviewTag:active {
    transform: translateY(-0.5px);

    box-shadow: 0px 1px 5px var(--border-color);
}

.codePreviewTag.notClickable {
    --border-color: gray;
    --background: rgb(78, 79, 80);

    border: 1px solid var(--border-color);
    border-radius: 100px;

    background: var(--background);

    padding: 3px;
    padding-left: 8px;
    padding-right: 8px;

    display: flex;
    align-items: center;
    text-align: center;

    font-size: 10px;

    cursor: default;
    transition-duration: 0.2s;
}

.codePreviewTag.notClickable:hover {
    transform: translateY(0px);
    filter: brightness(110%);

    box-shadow: 0px 0px 0px var(--border-color);
}

.codePreviewTag.notClickable:active {
    transform: translateY(0px);

    box-shadow: 0px 0px 0px var(--border-color);
}

.codePreviewTag.new {
    --border-color: rgb(250, 60, 60);
    --background: linear-gradient(45deg, rgb(142, 55, 55), rgb(182, 49, 49));
}

.codePreviewTag.antibrainrot {
    --border-color: rgb(60, 250, 98);
    --background: linear-gradient(45deg, rgb(77, 193, 49), rgb(107, 209, 81));
}

.codePreviewTag.popular {
    --border-color: rgb(220, 218, 79);
    --background: linear-gradient(45deg, rgb(148, 140, 66), rgb(195, 162, 19));
}

.codePreviewTag.beta {
    --border-color: rgb(112, 155, 224);
    --background: linear-gradient(45deg, rgb(66, 64, 131), rgb(63, 117, 226));
}

.codePreviewTag.customizable {
    --border-color: rgb(188, 103, 231);
    --background: linear-gradient(45deg, rgb(129, 64, 131), rgb(106, 29, 207));
}

#clearSearch {
    display: none;
}

.section.searchResult {
    margin-top: 20px;
}

.tagDivider,
#selectTags {
    user-select: none;
    -moz-user-select: none;

    cursor: default;
}

.tagDivider {
    border-left: 1px dashed lightgray;
    width: 1px;
}

.searchHighlight.description {
    font-weight: 800;
}

.searchHighlight.title {
    text-decoration: underline;
}

.tooltip {
    position: fixed;

    display: inline-block;
    text-align: left;
    width: max-content;
    max-width: none;

    border-radius: 3px;
    border: 1px solid rgb(86, 86, 86);

    color: white;
    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(5px);

    padding: 5px;

    font-size: 10px;

    z-index: 100;
}

.tooltip.shown {
    animation: fadeIn 0.1s ease-in forwards;
}

.tooltip.hidden {
    animation: fadeOut 0.1s ease-in forwards;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes fadeOut {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}